## com.sun.jersey.server.wadl
Interface WadlGenerator.Resolver

Enclosing interface:
  WadlGenerator

    public static interface WadlGenerator.Resolver

Call back interface that the create external grammar can use to allow other parts of the code to attach the correct grammar information

Method Summary

`

`<T> T`

`

`resolve(java.lang.Class wadlType, MediaType mt, java.lang.Class<T> resolvedType)`

Method Detail

### resolve

    <T> T resolve(java.lang.Class wadlType,
                  MediaType mt,
                  java.lang.Class<T> resolvedType)

  Parameters:
    `resolvedType` - The type of the element to result, for XML Schema this is going to be QName, for JSON Schema URI. If the resolver doesn't recognise this type then it should return null.
    `wadlType` - The type of the class
    `mt` - The media type it needs to be resolve relative to.
  Returns:
    The schema type of the class if defined, null if not.

Copyright © 2017 Oracle Corporation. All Rights Reserved.